> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro/funktionen/funk_zeit.md).

# Time functions

The Time functions group contains functions with which you interpret and edit date/time values as a time. Almost all functions expect one or more date/time values as arguments, or return a date/time value as the result. In the group you will find the following functions:

The first column of the table contains the name of the function as you enter it in an expression. The second column contains the data types of the argument(s), and the third column contains the data type of the function's return value.

| Function                         | arguments                      | Return value |
| -------------------------------- | ------------------------------ | ------------ |
| [Hour](#func_hour)               | (DATETIME)                     | NUMBER       |
| [Minute](#func_minute)           | (DATETIME)                     | NUMBER       |
| [Now](#func_now)                 | ()                             | DATETIME     |
| [Second](#func_second)           | (DATETIME)                     | NUMBER       |
| [TimeHMS](#func_timehms)         | (NUMBER, NUMBER, NUMBER)       | DATETIME     |
| [TimeInRange](#func_timeinrange) | (DATETIME, DATETIME, DATETIME) | BOOL         |

It may be that not all the functions in this group are available in the application you are using. The application can deactivate individual functions or entire function groups in the Formula Editor. Those are normally functions which are not needed in the application, because a specific data type is not used for example.

## Hour function <a href="#func_hour" id="func_hour"></a>

|               |                                                                                                                                    |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | NUMBER Hour (DATETIME)                                                                                                             |
| Parameters:   | <ul><li>Date/time value with time for which the hour is to be found.</li></ul>                                                     |
| Return value: | The hour of the given time.                                                                                                        |
| Description:  | The function finds the numerical value of the hour for the point in time passe as an argument. The range of hours is from 0 to 23. |
| Example:      | Hour (Today ()) = 0                                                                                                                |

## Minute function <a href="#func_minute" id="func_minute"></a>

|               |                                                                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| Syntax:       | NUMBER Minute (DATETIME)                                                                                                             |
| Parameters:   | <ul><li>Date/time value of the time for which the minute is to be found.</li></ul>                                                   |
| Return value: | The minute of the given point in time.                                                                                               |
| Description:  | The function finds the numerical value of the minute for the point of time passed as an argument. The minutes range is from 0 to 59. |
| Example:      | Minute (Today ()) = 0                                                                                                                |

## Now function <a href="#func_now" id="func_now"></a>

|               |                                                                                                                  |
| ------------- | ---------------------------------------------------------------------------------------------------------------- |
| Syntax:       | DATETIME Now ()                                                                                                  |
| Parameters:   | <ul><li>None.</li></ul>                                                                                          |
| Return value: | The date/time value for the current time.                                                                        |
| Description:  | The function returns the date/time value for the current time (seconds since 00:00:00 hours) of the current day. |
| Example:      | <p>Now () = 43000</p><p>If it was 12:00:00 hours.</p>                                                            |
| See also:     | [Today function](/acron-9.3/en/intro/funktionen/funk_datum.md#func_today)                                        |

## Second function <a href="#func_second" id="func_second"></a>

|               |                                                                                                                                          |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | NUMBER Second (DATETIME)                                                                                                                 |
| Parameters:   | <ul><li>Date/time value with the time for which the second is to be found.</li></ul>                                                     |
| Return value: | The second of the passed point in time.                                                                                                  |
| Description:  | The function determines the numerical value of the second for the time passed as an argument. The range for the seconds is from 0 to 59. |
| Example:      | Second (Today ()) = 0                                                                                                                    |

## TimeHMS function <a href="#func_timehms" id="func_timehms"></a>

|               |                                                                                       |
| ------------- | ------------------------------------------------------------------------------------- |
| Syntax:       | DATETIME TimeHMS (hour, minute, second)                                               |
| Parameters:   | <ul><li>Hours (0 to 23)</li><li>Minutes (0 to 59)</li><li>Seconds (0 to 59)</li></ul> |
| Return value: | The date/time value that corresponds to the specified time.                           |
| Description:  | The function converts the time specified in the arguments into a date/time value.     |
| See also:     | [DateYMD function](/acron-9.3/en/intro/funktionen/funk_datum.md#func_dateymd)         |

## TimeInRange function <a href="#func_timeinrange" id="func_timeinrange"></a>

|               |                                                                                                                                                                                                                                       |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | BOOL TimeInRange (DATETIME, minimum, maximum)                                                                                                                                                                                         |
| Parameters:   | <ul><li>Time to be checked.</li><li>Lower limit of the interval to be checked.</li><li>Upper limit of the interval to be checked.</li></ul>                                                                                           |
| Return value: | Returns TRUE if the first argument is within the interval. If the date/time value is out of range, the function returns FALSE.                                                                                                        |
| Description:  | Checks whether the time is within the limits of the range from the second and third arguments. The interval is complete, meaning a value that lies on one of the two limits is still within the limits and the function returns TRUE. |
| See also:     | [NumInRange function](/acron-9.3/en/intro/funktionen/funk_mathe.md#func_numinrange), [DateInRange function](/acron-9.3/en/intro/funktionen/funk_datum.md#func_dateinrange)                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro/funktionen/funk_zeit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
